
/************************************************************************/
/*
/*
/*
/************************************************************************/

#define spi_sclk_bit	7
#define spi_miso_bit	6
#define spi_mosi_bit	5
#define spi_cs3_bit     4
#define spi_cs2_bit     2
#define spi_cs1_bit     1
#define spi_cs0_bit	0

#define spi_pin		PINB
#define spi_port	PORTB
#define spi_ddr		DDRB

/************************************************************************/

#define tast_a_port	PORTA
#define tast_a_pin	PINA
#define tast_a_ddr	DDRA
#define tast_a_mask	0xFC

#define pwm_bit		3
#define pwm_port	PORTB
#define pwm_ddr 	DDRB

#define tast_c_port	PORTC
#define tast_c_pin	PINC
#define tast_c_ddr	DDRC
#define tast_c_mask	0xC0

#define drv_pwdn1_bit	4
#define drv_pwdn1_port	PORTD
#define drv_pwdn1_pin	PIND
#define drv_pwdn1_ddr	DDRD

#define drv_pwdn2_bit	5
#define drv_pwdn2_port	PORTD
#define drv_pwdn2_pin	PIND
#define drv_pwdn2_ddr	DDRD

#define reset_bit	6
#define reset_port	PORTD
#define reset_ddr 	DDRD

#define	led_bit		7
#define led_port	PORTD
#define led_ddr 	DDRD

#define	disp_reset_bit	6
#define disp_reset_port	PORTD
#define disp_reset_ddr 	DDRD

#define	disp_rs_bit	0
#define disp_rs_port	PORTA
#define disp_rs_ddr 	DDRA

#define	disp_cs_bit	spi_cs2_bit
#define disp_cs_port	spi_cs2_port
#define disp_cs_ddr 	spi_cs2_ddr

#define	disp_led_bit	3
#define disp_led_port	PORTB
#define disp_led_ddr 	DDRB


/************************************************************************/
/*
/* function delay_us
/*
/* Fr kurze Verzgerungen im us/ms-Bereich.
/* Ausgelegt fr einen 8Mhz-Quarz.
/*
/************************************************************************/

void delay_us(uint16_t us);

void delay_ms(uint16_t us);

void taster_init(void);

uint8_t get_taster(void);


