

/************************************************************************/
/*
/*
/*
/************************************************************************/

typedef struct{
  uint8_t x_links;	// X-Start des Paint-Fensters (in Pixel)
  uint8_t x_rechts;	// X-Ende (inklusive) des Paint-Fensters (in Pixel)
  uint8_t yb_oben;	// Y-Start des Paint-Fensters (in Bytes)
  uint8_t yb_unten;	// Y-Ende (inklusive) des Paint-Fensters (in Bytes)
}  paint_typ;

typedef struct{
  uint8_t x;		// Lnge der Garphik in Pixeln
  uint8_t y;		// Hhe der Graphik in Pixeln
  uint8_t data[];	// Graphik-Information
}  graphik_typ;

typedef graphik_typ *graphik_ptr;


#define paint_mem_size (4*64)

extern uint8_t paint_area[paint_mem_size];

extern paint_typ paint_bounds;

extern const PROGMEM graphik_typ test_graphik;



void paint_graphik(uint8_t x_links, uint8_t y_oben, uint8_t mode, const graphik_ptr g);



// end of file


